package com.njzscloud.dispose.cst.order.constant;

import com.njzscloud.common.core.ienum.DictStr;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

/**
 * 字典代码：trans_status
 * 字典名称：运输状态
 */
@Getter
@RequiredArgsConstructor
public enum TransStatus implements DictStr {
    DaiPaiDan("DaiPaiDan", "待派单"),

    DaiJieDan("DaiJieDan", "待接单"),

    YiJieDan("YiJieDan", "已接单"),

    YunShuZhong("YunShuZhong", "运输中"),

    YiJinChang("YiJinChang", "已进场"),

    YiChuChang("YiChuChang", "已出场"),

    YiWanCheng("YiWanCheng", "已完成"),

    YiQuXiao("YiQuXiao", "已取消"),

    ;
    private final String val;

    private final String txt;
}
